AM_CFLAGS = -Wall \
            -Wextra \
            -Werror \
            -Wno-variadic-macros \
            -Wno-comment \
            -Wno-switch \
            -D_POSIX_C_SOURCE \
            -std=c99 \
            -pedantic

AM_CFLAGS += -g                                 # Enable debugging
AM_CFLAGS += -I./../inc                         # Include files
AM_CFLAGS += -DFEATURE_DATAOSS_TARGET_MCTM

common_CFLAGS = -DUSE_GLIB @GLIB_CFLAGS@
common_LDFLAGS = -lrt @GLIB_LIBS@

library_includedir = $(pkgincludedir)
requiredlibs = -lpthread -ldbus-1

# Header files that need to be exposed to external modules
library_include_HEADERS = ../inc/mmclient.h ../inc/mmclient_msg.h

################## Modem Manager Messaging Library #######################
libmmclient_msg_sources = mmclient_msg.c

lib_LTLIBRARIES = libmmclient_msg.la
libmmclient_msg_la_CC = @CC@
libmmclient_msg_la_SOURCES = $(libmmclient_msg_sources)
libmmclient_msg_la_CFLAGS = $(AM_CFLAGS) $(DBUS_CFLAGS)
libmmclient_msg_la_LDFLAGS =
libmmclient_msg_la_LIBADD = $(requiredlibs) $(DBUS_LIBS)

################## Modem Manager Client Library #######################
libmdmmgr_client_sources = mmclient.c \
                           mmclient_util.c \
                           mmclient_dbus.c \
                           mmclient_nad_hdlr.c \
                           mmclient_ds_hdlr.c \
                           mmclient_sim_hdlr.c \
                           mmclient_nw_reg_hdlr.c \
                           mmclient_bw_hdlr.c \
                           mmclient_dsd_hdlr.c

lib_LTLIBRARIES += libmdmmgr_client.la
libmdmmgr_client_la_CC = @CC@
libmdmmgr_client_la_SOURCES = $(libmdmmgr_client_sources)
libmdmmgr_client_la_CFLAGS = $(AM_CFLAGS) $(common_CFLAGS) $(DBUS_CFLAGS)
libmdmmgr_client_la_LDFLAGS = -shared $(common_LDFLAGS)
libmdmmgr_client_la_LIBADD = $(requiredlibs) libmmclient_msg.la $(DBUS_LIBS)
